Loading...
Searching...
No Matches
xccdf_rule_result Struct Reference
XCCDF

XCCDF rule result. More...

`#include <xccdf_benchmark.h>`

Collaboration diagram for xccdf_rule_result:
[legend]

## Public Member Functions

OSCAP_API struct xccdf_rule_result * | xccdf_rule_result_new (void)
OSCAP_API struct xccdf_rule_result * | xccdf_rule_result_clone (const struct xccdf_rule_result *result)
OSCAP_API void | xccdf_rule_result_free (struct xccdf_rule_result *rr)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API bool | xccdf_rule_result_override (struct xccdf_rule_result *rule_result, xccdf_test_result_type_t new_result, const char *time, const char *authority, struct oscap_text *remark)
| Override the result of rule-result.
OSCAP_API const char * | xccdf_rule_result_get_time (const struct xccdf_rule_result *item)
OSCAP_API xccdf_role_t | xccdf_rule_result_get_role (const struct xccdf_rule_result *item)
OSCAP_API float | xccdf_rule_result_get_weight (const struct xccdf_rule_result *item)
OSCAP_API xccdf_level_t | xccdf_rule_result_get_severity (const struct xccdf_rule_result *item)
OSCAP_API xccdf_test_result_type_t | xccdf_rule_result_get_result (const struct xccdf_rule_result *item)
OSCAP_API const char * | xccdf_rule_result_get_version (const struct xccdf_rule_result *item)
OSCAP_API const char * | xccdf_rule_result_get_idref (const struct xccdf_rule_result *item)
OSCAP_API struct xccdf_ident_iterator * | xccdf_rule_result_get_idents (const struct xccdf_rule_result *item)
OSCAP_API struct xccdf_fix_iterator * | xccdf_rule_result_get_fixes (const struct xccdf_rule_result *item)
OSCAP_API struct xccdf_check_iterator * | xccdf_rule_result_get_checks (const struct xccdf_rule_result *item)
OSCAP_API struct xccdf_override_iterator * | xccdf_rule_result_get_overrides (const struct xccdf_rule_result *item)
OSCAP_API struct xccdf_message_iterator * | xccdf_rule_result_get_messages (const struct xccdf_rule_result *item)
OSCAP_API struct xccdf_instance_iterator * | xccdf_rule_result_get_instances (const struct xccdf_rule_result *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_rule_result_set_time (struct xccdf_rule_result *obj, const char *newval)
OSCAP_API bool | xccdf_rule_result_set_role (struct xccdf_rule_result *obj, xccdf_role_t newval)
OSCAP_API bool | xccdf_rule_result_set_weight (struct xccdf_rule_result *obj, float newval)
OSCAP_API bool | xccdf_rule_result_set_severity (struct xccdf_rule_result *obj, xccdf_level_t newval)
OSCAP_API bool | xccdf_rule_result_set_result (struct xccdf_rule_result *obj, xccdf_test_result_type_t newval)
OSCAP_API bool | xccdf_rule_result_set_version (struct xccdf_rule_result *obj, const char *newval)
OSCAP_API bool | xccdf_rule_result_set_idref (struct xccdf_rule_result *obj, const char *newval)
OSCAP_API bool | xccdf_rule_result_add_ident (struct xccdf_rule_result *obj, struct xccdf_ident *item)
OSCAP_API bool | xccdf_rule_result_add_fix (struct xccdf_rule_result *obj, struct xccdf_fix *item)
OSCAP_API bool | xccdf_rule_result_add_check (struct xccdf_rule_result *obj, struct xccdf_check *item)
OSCAP_API bool | xccdf_rule_result_add_override (struct xccdf_rule_result *obj, struct xccdf_override *item)
OSCAP_API bool | xccdf_rule_result_add_message (struct xccdf_rule_result *obj, struct xccdf_message *item)
OSCAP_API bool | xccdf_rule_result_add_instance (struct xccdf_rule_result *obj, struct xccdf_instance *item)

## Data Fields

char * | idref
xccdf_role_t | role
char * | time
float | weight
xccdf_level_t | severity
xccdf_test_result_type_t | result
char * | version
struct oscap_list * | overrides
struct oscap_list * | idents
struct oscap_list * | messages
struct oscap_list * | instances
struct oscap_list * | fixes
struct oscap_list * | checks

## Detailed Description

XCCDF rule result.

See also
  xccdf_result

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h